Subject: Re: [PATCH] cvsimport: ease migration from CVSROOT/users format

From: Andreas Ericsson <[email-masked]>
Date: Sun, 15 Jan 2006 21:50:22 +0100

Junio C Hamano wrote:
> 
>  * Andreas, I also tweaked the regexp to parse the native format
>    from /^([^ \t=]*)[ \t=]*([^<]*)(<.*$)\s*/
>    to /^(\S+?)\s*=\s*(.+?)\s*<(.+)>\s*$/.  I think this tweak is
>    correct, but I would appreciate if you can proofread and ACK
>    on it.  The differences are:
> 

It looks correct and seems to do the trick.

>    - We grabbed <> pairs and stored in author_email (this is a
>      bugfix).
> 

gitk showed them as a single such even though theye were passed double. 
Perhaps some other tool stripped it along the way? Good catch anyways.

> +		}
> +		# NEEDSWORK: Maybe warn on unrecognized lines?
>  	}

I don't think so. I think it's safe to assume that people will check and 
double-check that everything's correct before removing the CVS repo, so 
it should be easy enough to redo the import (although possibly 
time-consuming).

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231